Clover coverage report - PMD - 3.7 Coverage timestamp: Wed May 31 2006 09:25:59 EDT FRAMES NO FRAMES |
file stats: | LOC: | 51 |  | Methods: | 6
| NCLOC: | 22 |  | Classes: | 1
Source file | Conditionals | Statements | Methods | TOTAL
ASTJspDirective.java | - | 66.7% | 66.7% | 66.7% |

1 |  | /* Generated By:JJTree: Do not edit this line. ASTJspDirective.java */
2 |  |
3 |  | package net.sourceforge.pmd.jsp.ast;
4 |  |
5 |  | public class ASTJspDirective extends SimpleNode {
6 |  |
7 |  | /* BEGIN CUSTOM CODE */
8 |  |
9 |  | /**
10 |  | * Name of the element-tag. Cannot be null.
11 |  | */
12 |  | private String name;
13 |  |
14 |  | /**
15 |  | * @return Returns the name.
16 |  | */
17 | 1 | public String getName() {
18 | 1 | return name;
19 |  | }
20 |  |
21 |  | /**
22 |  | * @param name The name to set.
23 |  | */
24 | 11 | public void setName(String name) {
25 | 11 | this.name = name;
26 |  | }
27 |  |
28 |  | /* (non-Javadoc)
29 |  | * @see com.applicationengineers.pmd4jsp.ast.SimpleNode#toString(java.lang.String)
30 |  | */
31 | 0 | public String toString(String prefix) {
32 | 0 | return super.toString(prefix) + " name=[" + name + "] ";
33 |  | }
34 |  | /* END CUSTOM CODE */
35 |  |
36 | 0 | public ASTJspDirective(int id) {
37 | 0 | super(id);
38 |  | }
39 |  |
40 | 11 | public ASTJspDirective(JspParser p, int id) {
41 | 11 | super(p, id);
42 |  | }
43 |  |
44 |  |
45 |  | /**
46 |  | * Accept the visitor. *
47 |  | */
48 | 10 | public Object jjtAccept(JspParserVisitor visitor, Object data) {
49 | 10 | return visitor.visit(this, data);
50 |  | }
51 |  | }